## org.jfree.layout
Class LCBLayout

    java.lang.Object
      org.jfree.layout.LCBLayout

All Implemented Interfaces:
  java.awt.LayoutManager, java.io.Serializable

    public class LCBLayout

extends java.lang.Object
implements java.awt.LayoutManager, java.io.Serializable

Specialised layout manager for a grid of components.

Author:
  David Gilbert
See Also:
  Serialized Form

Constructor Summary
`LCBLayout(int maxrows)` Creates a new LCBLayout with the specified maximum number of rows.

Method Summary
`void` `addLayoutComponent(java.awt.Component comp)` Not used.
`void` `addLayoutComponent(java.lang.String name, java.awt.Component comp)` Not used.
`void` `layoutContainer(java.awt.Container parent)` Lays out the components.
`java.awt.Dimension` `minimumLayoutSize(java.awt.Container parent)` Returns the minimum size using this layout manager.
`java.awt.Dimension` `preferredLayoutSize(java.awt.Container parent)` Returns the preferred size using this layout manager.
`void` `removeLayoutComponent(java.awt.Component comp)` Not used.
`void` `removeLayoutComponent(java.lang.String name, java.awt.Component comp)` Not used.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LCBLayout

    public LCBLayout(int maxrows)

  Creates a new LCBLayout with the specified maximum number of rows.

  Parameters:
    `maxrows` - the maximum number of rows.

Method Detail

### preferredLayoutSize

    public java.awt.Dimension preferredLayoutSize(java.awt.Container parent)

  Returns the preferred size using this layout manager.

  Specified by:
    `preferredLayoutSize` in interface `java.awt.LayoutManager`
  Parameters:
    `parent` - the parent.
  Returns:
    the preferred size using this layout manager.

### minimumLayoutSize

    public java.awt.Dimension minimumLayoutSize(java.awt.Container parent)

  Returns the minimum size using this layout manager.

  Specified by:
    `minimumLayoutSize` in interface `java.awt.LayoutManager`
  Parameters:
    `parent` - the parent.
  Returns:
    the minimum size using this layout manager.

### layoutContainer

    public void layoutContainer(java.awt.Container parent)

  Lays out the components.

  Specified by:
    `layoutContainer` in interface `java.awt.LayoutManager`
  Parameters:
    `parent` - the parent.

### addLayoutComponent

    public void addLayoutComponent(java.awt.Component comp)

  Not used.

  Parameters:
    `comp` - the component.

### removeLayoutComponent

    public void removeLayoutComponent(java.awt.Component comp)

  Not used.

  Specified by:
    `removeLayoutComponent` in interface `java.awt.LayoutManager`
  Parameters:
    `comp` - the component.

### addLayoutComponent

    public void addLayoutComponent(java.lang.String name,
                                   java.awt.Component comp)

  Not used.

  Specified by:
    `addLayoutComponent` in interface `java.awt.LayoutManager`
  Parameters:
    `name` - the component name.
    `comp` - the component.

### removeLayoutComponent

    public void removeLayoutComponent(java.lang.String name,
                                      java.awt.Component comp)

  Not used.

  Parameters:
    `name` - the component name.
    `comp` - the component.